# $Revision: 1.150 $, $Date: 2012/07/01 15:11:35 $
# TODO:
#  - trigger to update drbd-8.2 config
#  - warning: Installed (but unpackaged) file(s) found:
#     /etc/xen/scripts/block-drbd
#  - add some provides/requires to keep in sync with kernel releases
#    Linux 3.0.8 got drbd module version 8.3.11
#

Summary:	drbd is a block device designed to build high availibility clusters
Summary(pl.UTF-8):	drbd jest urządzeniem blokowym dla klastrów o wysokiej niezawodności
Name:		drbd
Version:	8.4.1
Release:	2
License:	GPL v2+
Group:		Base/Kernel
Source0:	http://oss.linbit.com/drbd/8.4/%{name}-%{version}.tar.gz
# Source0-md5:	3af0cc49ee0b5005ea108c5ba92aa755
URL:		http://www.drbd.org/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	rpmbuild(macros) >= 1.379
BuildRequires:	udev-core
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
drbd is a block device which is designed to build high availability
clusters. This is done by mirroring a whole block device via (a
dedicated) network. You could see it as a network RAID1.

%description -l pl.UTF-8
drbd jest urządzeniem blokowym zaprojektowanym dla klastrów o wysokiej
niezawodności. drbd działa jako mirroring całego urządzenia blokowego
przez (dedykowaną) sieć. Może być widoczny jako sieciowy RAID1.

%description -l pt_BR.UTF-8
O DRBD é um dispositivo de bloco que é projetado para construir
clusters de Alta Disponibilidade. Isto é feito espelhando um
dispositivo de bloco inteiro via rede (dedicada ou não). Pode ser
visto como um RAID 1 via rede. Este pacote contém utilitários para
gerenciar dispositivos DRBD.

%package -n drbdsetup
Summary:	Setup tool and scripts for DRBD
Summary(pl.UTF-8):	Narzędzie konfiguracyjne i skrypty dla DRBD
Summary(pt_BR.UTF-8):	Utilitários para gerenciar dispositivos DRBD
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(postun):	/usr/sbin/groupdel
Requires:	rc-scripts
Provides:	group(haclient)
Obsoletes:	drbdsetup8
Conflicts:	drbdsetup24

%description -n drbdsetup
Setup tool and init scripts for DRBD.

%description -n drbdsetup -l pl.UTF-8
Narzędzie konfiguracyjne i skrypty startowe dla DRBD.

%package -n resource-agents-drbd
Summary:	DRBD resource agents for a cluster setup
Group:		Daemons
Requires:	resource-agents

%description -n resource-agents-drbd
DRBD resource agents for a cluster setup.

%package -n bash-completion-drbd
Summary:	bash-completion for drbd
Summary(pl.UTF-8):	Bashowe uzupełnianie poleceń dla drbd
Group:		Applications/Shells
Requires:	bash-completion

%description -n bash-completion-drbd
This package provides bash-completion for drbd.

%description -n bash-completion-drbd -l pl.UTF-8
Ten pakiet dostarcza bashowe uzupełnianie poleceń dla drbd.

%package -n drbd-udev
Summary:	udev rules for drbd kernel module
Summary(pl.UTF-8):	Reguły udev dla modułów jądra Linuksa dla drbd
Group:		Base/Kernel
Requires:	udev-core

%description -n drbd-udev
udev rules for drbd kernel module.

%description -n drbd-udev -l pl.UTF-8
Reguły udev dla modułu jądra Linuksa dla drbd.

%prep
%setup -q

%build
%configure \
	--with-initdir=/etc/rc.d/init.d

%{__make} tools \
	KVER=dummy \
	CC="%{__cc}" \
	OPTCFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,%{_mandir}/man{5,8},%{_sysconfdir}} \
	$RPM_BUILD_ROOT{/etc/rc.d/init.d,/etc/ha.d/resource.d} \
	$RPM_BUILD_ROOT/var/lib/drbd

%{__make} install \
	DRBD_ENABLE_UDEV=1 \
	DESTDIR=$RPM_BUILD_ROOT

# let's keep legacy utils in /sbin
mv $RPM_BUILD_ROOT/lib/drbd/drbd{adm,setup}-83 $RPM_BUILD_ROOT/sbin

%clean
rm -rf $RPM_BUILD_ROOT

%pre -n drbdsetup
%groupadd -g 60 haclient

%post -n drbdsetup
/sbin/chkconfig --add drbd
%service drbd restart

%preun -n drbdsetup
if [ "$1" = "0" ]; then
	%service drbd stop
	/sbin/chkconfig --del drbd
fi

%postun -n drbdsetup
if [ "$1" = "0" ]; then
	%groupremove haclient
fi

%files -n drbdsetup
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/drbdadm
%attr(4754,root,haclient) /sbin/drbdsetup
%attr(4754,root,haclient) /sbin/drbdmeta
%attr(755,root,root) /sbin/drbdadm-83
%attr(755,root,root) /sbin/drbdsetup-83
%attr(754,root,root) /etc/rc.d/init.d/drbd
%dir %{_sysconfdir}/drbd.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/drbd.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/drbd.d/global_common.conf
%{_mandir}/man[58]/*
%dir /usr/lib/drbd
%attr(755,root,root) /usr/lib/drbd/*
%attr(755,root,root) %{_sbindir}/drbd-overview
%attr(750,root,root) %dir /var/lib/drbd

%files -n resource-agents-drbd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sysconfdir}/ha.d/resource.d/drbddisk
%attr(755,root,root) %{_sysconfdir}/ha.d/resource.d/drbdupper
%dir /usr/lib/ocf/resource.d/linbit
%attr(755,root,root) /usr/lib/ocf/resource.d/linbit/*

%files -n bash-completion-drbd
%defattr(644,root,root,755)
/etc/bash_completion.d/drbdadm

%files -n drbd-udev
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/udev/rules.d/65-drbd.rules

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: drbd.spec,v $
Revision 1.150  2012/07/01 15:11:35  jajcus
- Release: 2

Revision 1.149  2012/07/01 07:32:16  jajcus
- resource-agents-drbd does not require heartbeat

Revision 1.148  2011/12/29 18:05:56  adamg
- updated to 8.4.1, package legacy utils

Revision 1.147  2011/11/09 15:41:53  glen
- put BR to the proper place (BR is global, not subpackage specific)

Revision 1.146  2011/11/09 10:13:32  mguevara
- added br udev-core, updated todo

Revision 1.145  2011/10/22 08:23:25  arekm
- release 2

Revision 1.144  2011/08/12 11:40:52  lisu
- updated to 8.4.0

Revision 1.143  2011/07/27 13:55:45  mmazur
- rel 3
- move cluster files into resource-agents-drbd package

Revision 1.142  2011/07/19 15:27:06  mmazur
- rel 2; stbr
- two files were supposed to be setuid root but became setgid by mistake;
  nobody noticed for 4 years

Revision 1.141  2011/07/03 11:02:43  adamg
- updated to 8.3.11

Revision 1.140  2011/05/13 14:34:12  marti
- up to 8.3.10

Revision 1.139  2011/05/04 08:58:20  lisu
- added missing dirs for drbdsetup
- rel 3

Revision 1.138  2010/11/12 10:53:06  mmazur
- add missing /var/lib/drbd

Revision 1.137  2010/11/12 10:44:14  mmazur
- up to 8.3.9

Revision 1.136  2010/10/28 14:00:03  mmazur
- revert last change
- I'm an idiot, just blew up two production servers

Revision 1.135  2010/10/28 13:45:52  mmazur
- config files shouldn't be readable by all; they contain passwords

Revision 1.134  2010/10/02 11:52:58  adamg
- updated 8.3.8.1
- drop kernel build stuff - it is maintained in mainline since 2.6.33
- cleanups

Revision 1.133  2010/02/15 09:40:19  arekm
- release 2

Revision 1.132  2010/01/17 16:04:12  arekm
- up to 8.3.7 final

Revision 1.131  2010/01/08 19:26:20  arekm
- obsolete patches

Revision 1.130  2010/01/08 19:25:18  arekm
- up to 8.3.7 rc2 (supports 2.6.32)

Revision 1.129  2010/01/08 18:10:15  arekm
- release 11

Revision 1.128  2009/12/16 17:59:57  arekm
- release 10

Revision 1.127  2009/12/12 20:02:38  arekm
- release 9

Revision 1.126  2009/11/22 20:57:52  arekm
- release 8

Revision 1.125  2009/11/12 09:37:35  arekm
- release 7

Revision 1.124  2009/11/07 15:26:00  adamg
- updated to 8.3.5

Revision 1.123  2009/11/01 16:38:42  arekm
- release 6

Revision 1.122  2009/10/21 19:05:38  arekm
- release 5

Revision 1.121  2009/08/17 12:22:58  glen
- cosmetics

Revision 1.120  2009/08/15 13:42:17  adamg
- files fix

Revision 1.119  2009/08/15 13:34:26  adamg
- put drbd.ko in kernel/driver/block to satisfy dir dep
- release 3

Revision 1.118  2009/08/15 12:19:35  adamg
- release 2

Revision 1.117  2009/08/15 12:16:43  adamg
- same release for udev package

Revision 1.116  2009/08/15 12:16:12  adamg
- install udev rules even when udev is not installed

Revision 1.115  2009/08/15 12:03:20  adamg
- fix bash completion installation
- udev package
- include drbd-overwiew and ha.d/resource.d/drbdupper

Revision 1.114  2009/08/15 11:46:39  adamg
- typo in patch number

Revision 1.113  2009/08/15 11:44:07  adamg
- try to fix parallel install

Revision 1.112  2009/08/15 11:12:06  adamg
- buildfix for kernels < 2.6.29
- release 1

Revision 1.111  2009/08/01 12:57:43  adamg
- updated to 8.3.2

Revision 1.110  2009/02/20 16:18:04  adamg
- updated to 8.3.0

Revision 1.109  2009/01/19 11:46:47  zbyniu
- scripts packaged; bash-completion-drbd package; rel 2

Revision 1.108  2008/12/11 09:33:38  mguevara
- 8.2.7-1

Revision 1.107  2008-06-03 07:10:18  adamg
- updated to 8.2.6

Revision 1.106  2008-05-11 10:29:32  adamg
- Obsoletes: drbdsetup8 (for Ac->Th migration)

Revision 1.105  2008-02-26 20:02:28  zbyniu
- up to 8.2.5

Revision 1.104  2008-01-11 20:45:57  zbyniu
- up to 8.2.4

Revision 1.103  2007-12-26 11:57:58  glen
- alt kernel support from AC-branch

Revision 1.102  2007-12-10 11:06:32  zbyniu
- up to 8.2.1

Revision 1.101  2007-09-30 18:40:28  adamg
- updated to 8.2.0 (builds on 2.6.22)

Revision 1.100  2007/09/13 20:28:08  jajcus
- Version: 8.0.6
- permissions of drbdsetup and drbdmeta updated (suid-root, exec rights for
  haclient group), so drbdadm won't complain with default config.

Revision 1.99  2007/09/13 20:21:02  jajcus
- merge with DEVEL

Revision 1.90.2.7  2007/08/19 11:53:44  adamg
- updated to 8.0.5

Revision 1.90.2.6  2007/05/12 20:41:09  adamg
- package drbdmeta too

Revision 1.90.2.5  2007/05/12 20:21:48  adamg
- updated to 8.0.3

Revision 1.90.2.4  2007/04/07 21:18:01  zbyniu
- bconds up, smp removed, package smp removed

Revision 1.90.2.3  2007/04/05 13:02:54  zbyniu
- up to 8.0.1; up bcond; s/misc/block/

Revision 1.90.2.2  2007/02/12 13:20:12  baggins
- converted to UTF-8

Revision 1.90.2.1  2007/01/29 16:39:30  zbyniu
- up to 8.0.0

Revision 1.98  2007/06/04 14:55:19  adamg
- updated to 0.7.24

Revision 1.97  2007/04/12 15:16:36  shadzik
- proper kernel-module-build version

Revision 1.96  2007/04/07 21:04:53  zbyniu
- bconds up, smp removed

Revision 1.95  2007/04/05 13:03:43  zbyniu
- s/misc/block/

Revision 1.94  2007/04/05 12:45:45  zbyniu
- up to 0.7.23

Revision 1.93  2007/03/14 00:06:39  glen
- with up bcond

Revision 1.92  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.91  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.90  2007/01/23 09:41:03  hawk
- release 5

Revision 1.89  2006/12/21 00:35:03  mguevara
- added patch1 drbd-0.7.22-2.6.19-friendly.patch - for building with 2.6.19
  (and previous versions of the kernel)

Revision 1.88  2006/12/08 12:40:38  hawk
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 4

Revision 1.87  2006/11/23 23:29:57  sparky
- flax and bison used only in userspace

Revision 1.86  2006/11/23 23:26:37  sparky
- use %build_kernel_modules, %install_kernel_modules
- better tools building

Revision 1.85  2006/11/23 19:28:10  adamg
- BuildRequires: rpmbuild(macros) >= 1.308 (alt_kernel support)

Revision 1.84  2006/11/23 10:27:34  hawk
- alt_kernel support
- release 3

Revision 1.83  2006/11/20 21:52:16  hawk
- release 2

Revision 1.82  2006/10/29 00:43:06  zbyniu
- up to 0.7.22

Revision 1.81  2006/10/14 00:22:49  zbyniu
- nodevfs patch for kernel >= 2.6.18

Revision 1.80  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.79  2006/08/29 22:32:55  adamg
- updated to 0.7.21

Revision 1.78  2006/07/28 07:25:13  zbyniu
- up to 0.7.20

Revision 1.77  2006/07/02 15:30:19  hawk
- release 2

Revision 1.76  2006/06/26 18:46:52  adamg
- %files fixed

Revision 1.75  2006/06/26 18:43:01  adamg
- install proper script to ha.d/resources

Revision 1.74  2006/06/25 23:14:39  adamg
- updated to 0.7.19

Revision 1.73  2006/04/28 13:55:29  zbyniu
- up to 0.7.18

Revision 1.72  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.71  2006/03/17 22:05:45  glen
- unify (for scripting)

Revision 1.70  2006/03/17 22:03:30  glen
- rel 2@2.6.14.7_4.2

Revision 1.69  2006/03/17 15:02:01  zbyniu
- up to 0.7.17

Revision 1.68  2006/03/11 12:24:20  arekm
- rel 5

Revision 1.67  2006/02/27 23:00:10  glen
- use %service

Revision 1.66  2006/02/11 13:38:48  arekm
- rel 4 (new build way)

Revision 1.65  2006/01/26 09:47:33  arekm
- rel 3

Revision 1.64  2006/01/12 17:47:10  arekm
- rel 2

Revision 1.63  2005/12/21 20:20:10  zbyniu
- up to 0.7.15

Revision 1.62  2005/11/27 19:29:06  arekm
- rel 5; sparc64 on separate builder

Revision 1.61  2005/11/13 02:15:15  sparky
- if there is no asm-powerpc link asm-ppc !
- spaces->tabs

Revision 1.60  2005/11/12 10:58:42  arekm
- rel 4; package as *.sparc.rpm

Revision 1.59  2005/11/12 00:48:35  arekm
- rel 3; should build fine even of ppc (seems that 2.4.14 contains parts of
  ppc32+ppc64 merge -> asm dir is splitted on ppc)

Revision 1.58  2005/11/12 00:04:06  arekm
- fix cross-build

Revision 1.57  2005/11/11 23:50:50  arekm
- rel 2; sparc->sparc64 support

Revision 1.56  2005/11/02 11:54:59  zbyniu
- up to 0.7.14

Revision 1.55  2005/10/01 22:36:13  zbyniu
- C: drbdsetup24

Revision 1.54  2005/09/25 01:33:36  zbyniu
- up to 0.7.13

Revision 1.53  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.52  2005/08/29 16:44:01  zbyniu
- up to 0.7.12

Revision 1.51  2005/06/13 14:57:58  zbyniu
- up to 0.7.11

Revision 1.50  2005/05/22 22:43:56  zbyniu
- BR: kernel-source -> kernel-module-build
- progs from _sbindir to /sbin

Revision 1.49  2005/05/18 21:57:34  zbyniu
- up to 0.7.10; BR: bison, flex, kernel-headers -> source

Revision 1.48  2004/12/09 11:30:01  paladine
- spaces->tabs
- cosmetics

Revision 1.47  2004/10/04 17:35:38  arekm
- updated to 0.7.5

Revision 1.46  2004/09/10 15:00:55  arekm
- updated to 0.7.4

Revision 1.45  2004/08/03 23:19:18  arekm
- reworked for 2.6
- updated to 0.7.1

Revision 1.44  2004/02/01 23:59:24  eothane
- bcond, cosmetics

Revision 1.43  2004/01/06 23:33:13  arekm
- started update (nfy)

Revision 1.42  2003/11/16 17:43:26  krzak
- fixed _kernel24 definition

Revision 1.41  2003/08/28 08:20:30  ankry
- cosmetics

Revision 1.40  2003/08/22 15:16:38  ankry
- attributes fix

Revision 1.39  2003/07/10 12:56:43  trojan
- added using depmod macro

Revision 1.38  2003/06/24 15:54:14  arekm
- updated to 0.6.4

Revision 1.37  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.36  2003/05/25 05:46:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2003/05/16 08:33:42  trojan
- fixed depmod in %post and %postun when build with _without_dist_kernel

Revision 1.34  2003/05/14 14:42:43  qboosh
- added depmod options so modules can be installed for kernel other than running

Revision 1.33  2002/11/17 20:14:41  kloczek
- release 14: rebuild against kernel 2.2.22-6.

Revision 1.32  2002/11/02 11:29:55  ankry
- rel. 13 (rebuild against kernel 2.2.22-4)

Revision 1.31  2002/10/12 12:54:58  marcus
- rel.12 (for kernel 2.2.22-3)

Revision 1.30  2002/10/02 17:30:53  marcus
- rel.11
- use new %5doc
- fixed %files

Revision 1.29  2002/10/02 00:12:31  kloczek
- release 10: rebuild against kernel 2.2.22.

Revision 1.28  2002/09/15 19:34:11  kloczek
- release 9: rebuild against kernel 2.2.21-7.

Revision 1.27  2002/09/06 15:31:57  misiek
- use proper compiler

Revision 1.26  2002/08/18 17:30:06  kloczek
- release 8: rebuild against kernel 2.2.21.

Revision 1.25  2002/04/25 16:13:41  arturs
- fixed a small typo

Revision 1.24  2002/03/17 16:06:25  dzimi
- update release numbers to build with new kernel release

Revision 1.23  2002/03/13 16:33:56  mkochano
- Typos.

Revision 1.22  2002/03/04 22:48:04  marcus
- use new ver-rel macros
- rel.6.

Revision 1.21  2002/02/26 15:30:12  qboosh
- use requires_releq_kernel_{up,smp} macros, release 5

Revision 1.20  2002/02/23 21:28:05  saq
- change Conflicts: wrong-kernel to Requires: right-kernel
- release 4, STBR

Revision 1.19  2002/02/23 01:58:09  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/11 01:53:32  kloczek
- adapterized.

Revision 1.16  2002/02/10 18:59:09  marcus
- some fixes, rel 3. (for build with 2.2.20-10 and new 2.4)

Revision 1.15  2002/01/28 03:44:01  kloczek
- release 2.

Revision 1.14  2002/01/26 21:51:04  hunter
- s/misc/block/ after %if %{_kernel24}

Revision 1.13  2002/01/18 02:12:46  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/16 00:53:09  kloczek
- added conditionaly (depending on %_without_dist_kernel)
  BuildRequirss: kernel-headers >= 2.2.20.

Revision 1.11  2001/12/16 00:15:17  marcus
- updated to 0.5.8.1
- smp subpackage builds with 2.2 too!

Revision 1.10  2001/11/14 08:37:15  filon
- added _without_dist_kernel option
- use _kernel_ver_str in release

Revision 1.9  2001/09/17 11:58:49  qboosh
- removed English "es" translations

Revision 1.8  2001/09/14 20:52:09  saq
- removed Conflicts: kernel != kernel_ver from main package (unneeded)
- reordered the descriptions
- drbdsetup doesn't require drbd (unavailable)
- drbdsetup prereq: chkconfig (should it prereq rc-scripts?)
- the modules conflict kernel-{smp,up}
- %if 0 changed to %if %{_kernel24} (SMP builds under 2.4)
- -D__KERNEL_SMP=1 to SMP build options

Revision 1.7  2001/09/09 21:52:19  kloczek
- use %{_kernel_ver} only in Release field in with kernel modules packages,
- added "Requires: drbdsetup" for kernel modules packages.

Revision 1.6  2001/09/09 13:59:05  saq
- typo (LF missing)

Revision 1.5  2001/09/08 19:03:34  kloczek
- standarized %post/%preun,
- Prereq: rc-scripts .. not chkconfig,
- merge some translations from drnd-utils.spec from CNV.

Revision 1.4  2001/09/08 17:05:16  kloczek
- added suport for building both up and smp modules in separated packages
  (build smp subpackage is ifdefed because seems building drbd with for SMP
  is broken),
- move kernel module to kernel-{,smp}-block-drbd subpackages.

Revision 1.3  2001/09/08 08:17:21  qboosh
- fixed URL, added Source0 URL
- proper summaries/descriptions (this is really not heartbeat package...)
- added using standard kernel module build procedure
- separated userland tools into drbdsetup subpackage
- kernel 2.4 compatibility patch (not tested)

Revision 1.2  2001/07/04 04:38:12  kloczek
- adapterized and partialy rewrited byt still NYF.
